Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -1,3 +1,3 @@
-%'civ': function associated with the interface 'civ.fig' for PIV, spline interpolation and stereo PIV (patch)   
+%'civ': function associated with the interface 'civ.fig' for PIV, spline interpolation and stereo PIV (patch)
 %------------------------------------------------------------------------
 %  provides an interface for the software CIVx
@@ -8,11 +8,11 @@
 %  Copyright Joel Sommeria, 2008, LEGI / CNRS-UJF-INPG, sommeria@coriolis-legi.org.
 %AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%     This file is part of the toolbox UVMAT. 
-% 
+%     This file is part of the toolbox UVMAT.
+%
 %     UVMAT is free software; you can redistribute it and/or modify
 %     it under the terms of the GNU General Public License as published by
 %     the Free Software Foundation; either version 2 of the License, or
 %     (at your option) any later version.
-% 
+%
 %     UVMAT is distributed in the hope that it will be useful,
 %     but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -26,9 +26,9 @@
 gui_Singleton = 1;
 gui_State = struct('gui_Name',       mfilename, ...
-                   'gui_Singleton',  gui_Singleton, ...
-                   'gui_OpeningFcn', @civ_OpeningFcn, ...
-                   'gui_OutputFcn',  @civ_OutputFcn, ...
-                   'gui_LayoutFcn',  [] , ...
-                   'gui_Callback',   []);
+    'gui_Singleton',  gui_Singleton, ...
+    'gui_OpeningFcn', @civ_OpeningFcn, ...
+    'gui_OutputFcn',  @civ_OutputFcn, ...
+    'gui_LayoutFcn',  [] , ...
+    'gui_Callback',   []);
 if nargin && ischar(varargin{1})
     gui_State.gui_Callback = str2func(varargin{1});
@@ -52,8 +52,8 @@
 % varargin   command line arguments to civ (see VARARGIN)
 global patch_newBin %=1 if new patch processing available
-%filebase: root name 
+%filebase: root name
 %nom_type: nomencalture used ('png_old','_i_j'...)
 %list of field numbers to process
-%subdir: subdirectory of the opened netcdf file 
+%subdir: subdirectory of the opened netcdf file
 %ind_opening: operation number advised for beginning (1=civ1,2=fix1,3=patch1,4=civ2,5=fix2,6=patch2),
 %ind_a_opening ind_b_opening chosen pair from the opened netcdf file
@@ -66,5 +66,5 @@
 filebase=''; % root file name ('filebase'.civ)
 ext=[];
-testall=0; 
+testall=0;
 browse=[];
 %default input parameters:
@@ -74,6 +74,6 @@
 num_b=1; % second set of field j numbers (fields b)
 subdir='A'; % subdir for the netcdf result files
-ind_opening=1; % proposed operation number (1=civ1,2=fix1,3=patch1,4=civ2,5=fix2,6=patch2) 
-%load the initial parameters if the interface is started from uvmat 
+ind_opening=1; % proposed operation number (1=civ1,2=fix1,3=patch1,4=civ2,5=fix2,6=patch2)
+%load the initial parameters if the interface is started from uvmat
 if exist('param','var')&&isstruct(param)% the interface is opened from uvmat
     filebase=param.RootName;
@@ -88,9 +88,9 @@
 end
 if ~isempty(ext) && (~isempty(imformats(ext(2:end)))||...
-                       strcmp(lower(ext),'.avi'));%if an image file has been opened by uvmat
-        set(handles.ImaExt,'String',ext)
-        if exist('nom_type_read','var')
-            browse.nom_type_ima=nom_type_read; % the image nomenclature is stored
-        end
+        strcmp(lower(ext),'.avi'));%if an image file has been opened by uvmat
+    set(handles.ImaExt,'String',ext)
+    if exist('nom_type_read','var')
+        browse.nom_type_ima=nom_type_read; % the image nomenclature is stored
+    end
 elseif isequal(ext,'.nc')
     if exist('nom_type_read','var')
@@ -109,12 +109,12 @@
 % xmlfile=fullfile(path_UVMAT,'PARAM.xml');
 % if ~exist(xmlfile,'file')
-    xmlfile='PARAM.xml';
+xmlfile='PARAM.xml';
 % end
 if exist(xmlfile,'file')
     try
-    t=xmltree(xmlfile);
-    sparam=convert(t);
+        t=xmltree(xmlfile);
+        sparam=convert(t);
     catch
-         errormsg={' Unable to read the file PARAM.xml defining the civx binaries:'; lasterr};   
+        errormsg={' Unable to read the file PARAM.xml defining the civx binaries:'; lasterr};
     end
 else
@@ -124,5 +124,5 @@
 
 if ~isempty(errormsg)
-       msgbox_uvmat('ERROR',errormsg);
+    msgbox_uvmat('ERROR',errormsg);
 end
 % patch_newBin='';
@@ -137,5 +137,5 @@
 if isfield(sparam.RunParam,'CivBin')
     if ~exist(sparam.RunParam.CivBin,'file')
-         sparam.RunParam.CivBin=fullfile(path_UVMAT,sparam.RunParam.CivBin);
+        sparam.RunParam.CivBin=fullfile(path_UVMAT,sparam.RunParam.CivBin);
     end
 else
@@ -151,18 +151,18 @@
 end
 % set default operation options
-    enable_civ1(handles,'off')
-    enable_civ2(handles,'off')
-    enable_pair1(handles,'on')
-    enable_fix1(handles,'off')
-    desable_patch1(handles)
-    desable_fix2(handles)
-    desable_patch2(handles)
-    set(handles.CIV1,'Value',0)
-    set(handles.FIX1,'Value',0)
-    set(handles.PATCH1,'Value',0)
-    set(handles.CIV2,'Value',0)
-    set(handles.FIX2,'Value',0)
-    set(handles.PATCH2,'Value',0)
-    set(handles.frame_subdirciv2,'BackgroundColor',[0.831 0.816 0.784])
+enable_civ1(handles,'off')
+enable_civ2(handles,'off')
+enable_pair1(handles,'on')
+enable_fix1(handles,'off')
+desable_patch1(handles)
+desable_fix2(handles)
+desable_patch2(handles)
+set(handles.CIV1,'Value',0)
+set(handles.FIX1,'Value',0)
+set(handles.PATCH1,'Value',0)
+set(handles.CIV2,'Value',0)
+set(handles.FIX2,'Value',0)
+set(handles.PATCH2,'Value',0)
+set(handles.frame_subdirciv2,'BackgroundColor',[0.831 0.816 0.784])
 if isequal(ind_opening,1)
     set(handles.CIV1,'Value',1)
@@ -180,8 +180,8 @@
     set(handles.FIX2,'Value',1)
     enable_fix2(handles)
-     set(handles.frame_subdirciv2,'BackgroundColor',[1 1 0])
-     set(handles.list_pair_civ2,'Enable','On')
-     set(handles.list_pair_civ2,'Enable','On')
-     enable_pair1(handles,'off')
+    set(handles.frame_subdirciv2,'BackgroundColor',[1 1 0])
+    set(handles.list_pair_civ2,'Enable','On')
+    set(handles.list_pair_civ2,'Enable','On')
+    enable_pair1(handles,'off')
 elseif isequal(ind_opening,6)
     set(handles.PATCH2,'Value',1)
@@ -208,5 +208,5 @@
 else
     num_ref_j=floor((num_a+num_b)/2);
-    browse.incr_pair(2)=num_b-num_a; 
+    browse.incr_pair(2)=num_b-num_a;
 end
 set(handles.first_i,'String',num2str(num_ref_i));
@@ -220,5 +220,5 @@
 set(handles.browse_root,'UserData',browse);
 if exist('param','var')%varargin the interface is opened from uvmat
-    RootName_Callback(hObject, eventdata, handles); 
+    RootName_Callback(hObject, eventdata, handles);
 end
 
@@ -247,32 +247,31 @@
 oldfile=''; %default
 if isempty(filebase)|| isequal(filebase,'')%loads the previously stored file name and set it as default in the file_input box
-     dir_perso=prefdir;
-     profil_perso=fullfile(dir_perso,'uvmat_perso.mat');
-     display(profil_perso)
-     if exist(profil_perso,'file')
-          h=load (profil_perso);
-         if isfield(h,'filebase')&& ischar(h.filebase)
-                 oldfile=h.filebase;
-         end
-         if isfield(h,'RootPath') && ischar(h.RootPath)
-                 oldfile=h.RootPath;
-         end
-     end
- else
-     oldfile=filebase;
- end
+    dir_perso=prefdir;
+    profil_perso=fullfile(dir_perso,'uvmat_perso.mat');
+    if exist(profil_perso,'file')
+        h=load (profil_perso);
+        if isfield(h,'filebase')&& ischar(h.filebase)
+            oldfile=h.filebase;
+        end
+        if isfield(h,'RootPath') && ischar(h.RootPath)
+            oldfile=h.RootPath;
+        end
+    end
+else
+    oldfile=filebase;
+end
 testall=get(handles.ImaDoc,'UserData');
 ind_opening=1;%default
 browse.incr_pair=[0 0]; %default
-if testall 
+if testall
     menu={'*.*', 'All Files (*.*)'; '*.xml; *.avi;*.AVI;*.nc','(*.xml,*.avi,*.nc)'; ...
         '*.xml', '.xml files';'*.avi;*.AVI', '.avi files';'*.nc','.nc files'};
 else % menu selecting only .civ or .avi files
-menu={'*.xml;*.avi;*.AVI;*.nc','(*.xml,*.avi,*.nc)'; ...
+    menu={'*.xml;*.avi;*.AVI;*.nc','(*.xml,*.avi,*.nc)'; ...
         '*.xml', '.xml files';'*.avi;*.AVI', '.avi files';'*.nc', '.nc files';...
         '*.*', 'All Files (*.*)'};
 end
 [FileName, PathName, filtindex] = uigetfile( menu, 'Pick a file',oldfile);
-fileinput=[PathName FileName];%complete file name 
+fileinput=[PathName FileName];%complete file name
 sizf=size(fileinput);
 if (~ischar(fileinput)||~isequal(sizf(1),1)),return;end %stop if fileinput not a character string
@@ -288,16 +287,16 @@
 end
 if testeditxml==1 || isequal(ext,'.xls')
-   heditxml=editxml({fileinput});
-   set(heditxml,'Tag','browser')
-   waitfor(heditxml,'Tag','idle')
-   if ~ishandle(heditxml)
-       return
-   end
-   attr=findobj(get(heditxml,'children'),'Tag','CurrentAttributes');
-   set(handles.browse,'UserData',fileinput)% store for future opening with browser
-   fileinput=get(attr,'UserData');
-   if ~exist(fileinput,'file')
-       return
-   end
+    heditxml=editxml({fileinput});
+    set(heditxml,'Tag','browser')
+    waitfor(heditxml,'Tag','idle')
+    if ~ishandle(heditxml)
+        return
+    end
+    attr=findobj(get(heditxml,'children'),'Tag','CurrentAttributes');
+    set(handles.browse,'UserData',fileinput)% store for future opening with browser
+    fileinput=get(attr,'UserData');
+    if ~exist(fileinput,'file')
+        return
+    end
 end
 [RootPath,RootFile,str1,str2,str_a,str_b,ext,nom_type,subdir]=name2display(fileinput);
@@ -310,5 +309,5 @@
 if isnan(num_j1),num_j1=1;end
 num_j2=stra2num(str_b);
-if isnan(num_j2),num_j2=num_j1;end 
+if isnan(num_j2),num_j2=num_j1;end
 if isequal(get(handles.compare,'Value'),1)
     browse=[];%initialisation
@@ -317,5 +316,5 @@
 end
 if length(ext)>1 && (~isempty(imformats(ext(2:end)))||...
-                       isequal(ext,'.avi')||isequal(ext,'.AVI'));%if an image file has been opened by uvmat
+        isequal(ext,'.avi')||isequal(ext,'.AVI'));%if an image file has been opened by uvmat
     set(handles.ImaExt,'String',ext)
     browse.nom_type_ima=nom_type;
@@ -327,7 +326,7 @@
 if isequal(ext,'.nc')
     browse.nom_type_nc=nom_type;
-    ind_opening=2;% propose 'fix' as the default option    
+    ind_opening=2;% propose 'fix' as the default option
     Data=nc2struct(fileinput,[]);
-    if isfield(Data,'absolut_time_T0')%test for civx files        
+    if isfield(Data,'absolut_time_T0')%test for civx files
         if isfield(Data,'fix') && isequal(Data.fix,1)
             ind_opening=3;
@@ -344,5 +343,5 @@
         testciv=1; %TO SUPPRESS WITH NEW VERSION OF CIVX
     else
-        ind_opening=3; %GUI used only for patch 
+        ind_opening=3; %GUI used only for patch
         testciv=0;
     end
@@ -373,9 +372,9 @@
     if ~isempty(num_j2)
         ref_j=floor((num_j1+num_j2)/2);
-        browse.incr_pair(2)=num_j2-num_j1; 
+        browse.incr_pair(2)=num_j2-num_j1;
     end
     set(handles.first_j,'String',num2str(ref_j));
     set(handles.last_j,'String',num2str(ref_j));
-    set(handles.ref_j,'String',num2str(ref_j)); 
+    set(handles.ref_j,'String',num2str(ref_j));
     set(handles.ref_j_civ2,'String',num2str(ref_j));
 end
@@ -412,7 +411,7 @@
     set(handles.FIX2,'Value',1)
     enable_fix2(handles)
-     set(handles.frame_subdirciv2,'BackgroundColor',[1 1 0])
-     set(handles.list_pair_civ2,'Enable','On')
-     set(handles.list_pair_civ2,'Enable','On')
+    set(handles.frame_subdirciv2,'BackgroundColor',[1 1 0])
+    set(handles.list_pair_civ2,'Enable','On')
+    set(handles.list_pair_civ2,'Enable','On')
 elseif isequal(ind_opening,6)
     enable_pair1(handles,'off')
@@ -438,5 +437,5 @@
 %------------------------------------------------------------------------
 set(handles.compare,'Visible','on')
-ext_ima=get(handles.ImaExt,'String'); 
+ext_ima=get(handles.ImaExt,'String');
 nom_type_ima=[];%default
 field_count=1;%default
@@ -451,5 +450,5 @@
 ext=get(handles.ImaDoc,'String');
 browse=get(handles.browse_root,'UserData');%default
-if ~isempty(browse) 
+if ~isempty(browse)
     if isfield(browse,'nom_type_ima')
         nom_type_ima=browse.nom_type_ima;% get an image nomenclature type already determined by an input image name
@@ -490,18 +489,18 @@
 nburst=[];%default
 pxcmx=1;
-pxcmy=1; 
-
- %look for an image documentation file
+pxcmy=1;
+
+%look for an image documentation file
 if ~isequal(ext,'.xml') && ~isequal(ext,'.civ')&& ~isequal(ext,'.avi')&& ~isequal(ext,'.AVI')
     if exist([filebase '.xml'],'file')
-         ext='.xml';
+        ext='.xml';
     elseif exist([filebase '.civxml'],'file')
-         ext='.civxml';
+        ext='.civxml';
     elseif exist([filebase '.civ'],'file')
-         ext='.civ';
-    elseif exist([filebase '.avi'],'file') 
-         ext='.avi';
+        ext='.civ';
+    elseif exist([filebase '.avi'],'file')
+        ext='.avi';
     elseif exist([filebase '.AVI'],'file')
-         ext='.AVI';
+        ext='.AVI';
     end
     set(handles.ImaDoc,'String',ext)
@@ -526,5 +525,5 @@
     mode='pair j1-j2';
     if isempty(nom_type_ima)% dtermine types by default if not already selected by browser or uvmat
-            nom_type_ima='_i_j';
+        nom_type_ima='_i_j';
     end
 elseif isequal(ext,'.xml')
@@ -534,5 +533,5 @@
     if isfield(XmlData,'Heading')&&isfield(XmlData.Heading','ImageName')&&ischar(XmlData.Heading.ImageName)% get image nom type and extension from the xml file
         [PP,FF,fc,str2,str_a,str_b,ext_ima_read,nom_type_read]=name2display(XmlData.Heading.ImageName);
-        fullname=fullfile(fileparts(filebase),XmlData.Heading.ImageName); %full name (including path) of the first image defined by the xmle file, 
+        fullname=fullfile(fileparts(filebase),XmlData.Heading.ImageName); %full name (including path) of the first image defined by the xmle file,
         if ~exist(fullname,'file')
             msgbox_uvmat('WARNING',['FirstImage ' fullname ' defined in the xml file does not exist'])
@@ -563,19 +562,19 @@
     if isfield(XmlData,'GeometryCalib')
         tsai=XmlData.GeometryCalib;
-        if isfield(tsai,'f') && isfield(tsai,'Tz') && isfield(tsai,'dpx') && isfield(tsai,'dpy')&& isfield(tsai,'R') 
-             rot2D=tsai.R(1:2,[1,2]);
-             pxcmx_search=tsai.f * sqrt(det(rot2D))/(tsai.Tz*tsai.dpx);
-             pxcmy_search=tsai.f * sqrt(det(rot2D))/(tsai.Tz*tsai.dpy);           
-        end
-        if isfield(tsai,'CoordUnit') 
-             CoordUnit=tsai.CoordUnit;
-        end
-    end                
+        if isfield(tsai,'f') && isfield(tsai,'Tz') && isfield(tsai,'dpx') && isfield(tsai,'dpy')&& isfield(tsai,'R')
+            rot2D=tsai.R(1:2,[1,2]);
+            pxcmx_search=tsai.f * sqrt(det(rot2D))/(tsai.Tz*tsai.dpx);
+            pxcmy_search=tsai.f * sqrt(det(rot2D))/(tsai.Tz*tsai.dpy);
+        end
+        if isfield(tsai,'CoordUnit')
+            CoordUnit=tsai.CoordUnit;
+        end
+    end
     if ~isempty(ext_ima_read) && ~isempty(nom_type_read)
         if isempty(ext_ima)
-             ext_ima=ext_ima_read;% define image extension from the xml file if an image has not been opened previously
-        else   %keep the image extension           
+            ext_ima=ext_ima_read;% define image extension from the xml file if an image has not been opened previously
+        else   %keep the image extension
             if  ~strcmp(ext_ima_read,ext_ima)
-              msgbox_uvmat('WARNING',['FirtsImage extension ' ext_ima_read ' announced in the xml file inconsistent with the selected image'])
+                msgbox_uvmat('WARNING',['FirtsImage extension ' ext_ima_read ' announced in the xml file inconsistent with the selected image'])
             end
         end
@@ -583,22 +582,22 @@
     end
 elseif isequal(ext,'.civ')% case of .civ image documentation file
-        [error,time,TimeUnit,mode,npx,npy]=read_imatext([filebase '.civ']);
-        if error==2, msgbox_uvmat('WARNING',['no file ' filebase '.civ']);
-        elseif error==1, msgbox_uvmat('WARNING','inconsistent number of fields in the .civ file');
-        end
-%         ImaExt='.png';
-        nom_type_ima='png_old';       
-elseif isequal(lower(ext),'.avi') 
-        nom_type_ima='*';
-        ext_ima=ext;
-        set(handles.mode,'String',{'series(Di)'})
-        dt=0.04;%default
-        if exist([filebase ext],'file')==2
-            info=aviinfo([filebase ext]);%read infos on the avi movie
-            dt=1/info.FramesPerSecond;%time interval between successive frames
-            nbfield=info.NumFrames;%number of frames
-        end
-        time=(dt*(0:nbfield-1))';%list of image times   
-        %set(handles.dt,'String',num2str(dt*1000));%store the time interval between successive images
+    [error,time,TimeUnit,mode,npx,npy]=read_imatext([filebase '.civ']);
+    if error==2, msgbox_uvmat('WARNING',['no file ' filebase '.civ']);
+    elseif error==1, msgbox_uvmat('WARNING','inconsistent number of fields in the .civ file');
+    end
+    %         ImaExt='.png';
+    nom_type_ima='png_old';
+elseif isequal(lower(ext),'.avi')
+    nom_type_ima='*';
+    ext_ima=ext;
+    set(handles.mode,'String',{'series(Di)'})
+    dt=0.04;%default
+    if exist([filebase ext],'file')==2
+        info=aviinfo([filebase ext]);%read infos on the avi movie
+        dt=1/info.FramesPerSecond;%time interval between successive frames
+        nbfield=info.NumFrames;%number of frames
+    end
+    time=(dt*(0:nbfield-1))';%list of image times
+    %set(handles.dt,'String',num2str(dt*1000));%store the time interval between successive images
 end
 if isempty(time)
@@ -612,30 +611,30 @@
     dirima=dir([filebase '_' num2str(first_i) '_' num2str(first_j) '.*']);
     if isempty(dirima)
-       % look for images series  with sub marker '_'
-       dirima=dir([filebase '_*' num2str(first_i) '.*']);
-       if isempty(dirima)
-          % look for other images series 
-          dirima=dir([filebase '*' num2str(first_i) '.*']);
-          if ~isempty(dirima)
-              [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
-          end
-       else
-           [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
-       end
+        % look for images series  with sub marker '_'
+        dirima=dir([filebase '_*' num2str(first_i) '.*']);
+        if isempty(dirima)
+            % look for other images series
+            dirima=dir([filebase '*' num2str(first_i) '.*']);
+            if ~isempty(dirima)
+                [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
+            end
+        else
+            [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
+        end
     else
-       [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
-    end
-end   
-% no image documentation file found: look for a series of existing images or .nc files 
+        [pp,ff,fc,str2,str_a,str_b,ext_ima,nom_type_ima]=name2display(dirima(1).name);
+    end
+end
+% no image documentation file found: look for a series of existing images or .nc files
 if isempty(time) && ~isequal(ext,'.nc') && ~strcmp(nom_type_ima,'none') && ~strcmp(nom_type_ima,'') && ~strcmp(nom_type_ima,'*')
     subdir=get(handles.subdir_civ1,'String');
     incr_pair=[0 0];%default
     if isfield(browse,'incr_pair')
-            incr_pair=browse.incr_pair;
-    end
-%     nbdetect=0;%test of detected images
+        incr_pair=browse.incr_pair;
+    end
+    %     nbdetect=0;%test of detected images
     field_i=field_count;
     idetect=1;
-    while idetect==1 %look for the maximum file number in the series     
+    while idetect==1 %look for the maximum file number in the series
         imagename=name_generator(filebase,field_i+1,1,ext_ima,nom_type_ima);
         idetect=(exist(imagename,'file')==2);
@@ -643,19 +642,19 @@
             field_i=field_i+1;
         end
-            %SEE CASE OF NETCDF FILES
-%             nbdetect=nbdetect+(exist(imagename,'file')==2);
+        %SEE CASE OF NETCDF FILES
+        %             nbdetect=nbdetect+(exist(imagename,'file')==2);
     end
     nb_field=field_i;% last detected field number
     field_i=field_count;%look for the minimum file number in the series
     idetect=1;
-    while idetect==1 
+    while idetect==1
         imagename=name_generator(filebase,field_i-1,1,ext_ima,nom_type_ima);
         idetect=(exist(imagename,'file')==2);
         if idetect
-           field_i=field_i-1;
+            field_i=field_i-1;
         end
     end
     first_i=max(field_i,1);
-
+    
     if strcmp(nom_type_ima,'_i_j')
         field_i=field_count;
@@ -673,19 +672,19 @@
         nb_field_j=field_j-1;% last detected field number
     end
-
+    
     
     %determine the set of times and possible intervals for CIV
- %   dt=(1/1000)*str2num(get(handles.dt,'String'));
+    %   dt=(1/1000)*str2num(get(handles.dt,'String'));
     time=(0:nb_field-1)';% time=file index -1  by default
-    if strcmp(nom_type_ima,'_i_j') 
-       % time=[0:nb_field-1]'*ones(1,nb_field_j);% time=file index -1  by default
-       time=[0:nb_field-1]'*[0:nb_field_j-1];% time=file index -1  by default
-    end
-  
-
+    if strcmp(nom_type_ima,'_i_j')
+        % time=[0:nb_field-1]'*ones(1,nb_field_j);% time=file index -1  by default
+        time=[0:nb_field-1]'*[0:nb_field_j-1];% time=file index -1  by default
+    end
+    
+    
     set(handles.mode,'String',{'series(Di)'})
 end
 % if isequal(nom_type_ima,'none')% no file numbering used
-%   first_i=1; 
+%   first_i=1;
 %   last_i=1;
 %    first_j=1;
@@ -715,5 +714,5 @@
 set(handles.browse_root,'UserData',browse)% store the nomenclature type
 
-        %%%%%%%%%%%  set the menus of image pairs and default selection for civ   %%%%%%%%%%%%%%%%%%%
+%%%%%%%%%%%  set the menus of image pairs and default selection for civ   %%%%%%%%%%%%%%%%%%%
 if isequal(nom_type_ima,'_i')|| isequal(nom_type_nc,'_i1-i2')||~(exist('nbfield2','var')&&(nbfield2~=1))
     set(handles.mode,'String',{'series(Di)'})
@@ -728,17 +727,17 @@
     set(handles.mode,'String',{'pair j1-j2';'series(Dj)';'series(Di)'})%multiple choice
     if nbfield2 <= 5
-         set(handles.mode,'Value',1)% advice 'pair j1-j2' for small burst
-    end
-%     else
-%     if isequal(mode,'volume')
-%         set(handles.mode,'Value',3)
-%     elseif nbfield2 <= 5
-%         set(handles.mode,'Value',1)% advice 'pair j1-j2' for small bursts
-%     else
-%         set(handles.mode,'Value',2)% advice series Dj for long bursts, not volume
-%     end
-end
-
-%update the subdir 
+        set(handles.mode,'Value',1)% advice 'pair j1-j2' for small burst
+    end
+    %     else
+    %     if isequal(mode,'volume')
+    %         set(handles.mode,'Value',3)
+    %     elseif nbfield2 <= 5
+    %         set(handles.mode,'Value',1)% advice 'pair j1-j2' for small bursts
+    %     else
+    %         set(handles.mode,'Value',2)% advice series Dj for long bursts, not volume
+    %     end
+end
+
+%update the subdir
 pathdir=fileparts(filebase);%path to the current xml file
 listot=dir(pathdir);
@@ -754,5 +753,5 @@
     end
 end
-set(handles.list_subdir_civ1,'Value',1) 
+set(handles.list_subdir_civ1,'Value',1)
 set(handles.list_subdir_civ2,'Value',1)
 set(handles.list_subdir_civ1,'String',[{'browse...'};listdir])
@@ -762,5 +761,5 @@
 subdir_civ2=get(handles.subdir_civ2,'String');
 
-mode_Callback(hObject, eventdata, handles)  
+mode_Callback(hObject, eventdata, handles)
 
 %%%%%% initialize waitbars and RUN button
@@ -774,5 +773,5 @@
     set(handles.BATCH,'BackgroundColor',[1 0 0])
 end
-    
+
 %%%%% store the root input filename for future opening
 dir_perso=prefdir;
@@ -786,5 +785,5 @@
     relnumb=str2num(Release(3:4));
     if relnumb >= 14
-        save (profil_perso,'RootPath','-V6'); %store the root name for future opening of uvmat 
+        save (profil_perso,'RootPath','-V6'); %store the root name for future opening of uvmat
     else
         save (profil_perso,'RootPath'); %store the root name for future opening of uvmat
@@ -828,23 +827,23 @@
     for numod_a=1:nbfield2-1 %nbfield2 always >=2 for 'pair j1-j2' mode
         for numod_b=(numod_a+1):nbfield2
-             index=index+1;
-             numlist_a(index)=numod_a;
-             numlist_b(index)=numod_b;
-             if ~isempty(time)
+            index=index+1;
+            numlist_a(index)=numod_a;
+            numlist_b(index)=numod_b;
+            if ~isempty(time)
                 dt(numod_a,numod_b)=time(ref_i,numod_b)-time(ref_i,numod_a);%first time interval dt
                 displ_dt(index)=dt(numod_a,numod_b);
-             else
-                 displ_dt(index)=1;
-             end
-         end
-     end
-     [dtsort,indsort]=sort(displ_dt);
-     if ~isempty(numlist_a)
-     displ_num(1,:)=numlist_a(indsort);
-     displ_num(2,:)=numlist_b(indsort);
-     end
-     displ_num(3,:)=0;
-     displ_num(4,:)=0;
-     set(handles.jtext,'Visible','Off')
+            else
+                displ_dt(index)=1;
+            end
+        end
+    end
+    [dtsort,indsort]=sort(displ_dt);
+    if ~isempty(numlist_a)
+        displ_num(1,:)=numlist_a(indsort);
+        displ_num(2,:)=numlist_b(indsort);
+    end
+    displ_num(3,:)=0;
+    displ_num(4,:)=0;
+    set(handles.jtext,'Visible','Off')
     set(handles.first_j,'Visible','Off')
     set(handles.last_j,'Visible','Off')
@@ -853,17 +852,17 @@
     set(handles.ref_j,'Visible','Off')
 elseif isequal(mode,'series(Dj)') %| isequal(mode,'st_series(Dj)')
-     for index=1:min(nbfield2-1,200)
-         displ_num(1,index)=-floor(index/2);
-         displ_num(2,index)=ceil(index/2);
-         displ_num(3,index)=0;
-         displ_num(4,index)=0;
-     end       
-     set(handles.jtext,'Visible','On')
-     set(handles.first_j,'Visible','On')
-     set(handles.last_j,'Visible','On')
-     set(handles.incr_j,'Visible','On')
-     set(handles.nb_field2,'Visible','On')
-     set(handles.ref_j,'Visible','On')
-     if nbfield > 1
+    for index=1:min(nbfield2-1,200)
+        displ_num(1,index)=-floor(index/2);
+        displ_num(2,index)=ceil(index/2);
+        displ_num(3,index)=0;
+        displ_num(4,index)=0;
+    end
+    set(handles.jtext,'Visible','On')
+    set(handles.first_j,'Visible','On')
+    set(handles.last_j,'Visible','On')
+    set(handles.incr_j,'Visible','On')
+    set(handles.nb_field2,'Visible','On')
+    set(handles.ref_j,'Visible','On')
+    if nbfield > 1
         set(handles.itext,'Visible','On')
         set(handles.first_i,'Visible','On')
@@ -880,18 +879,18 @@
         set(handles.ref_i,'Visible','Off')
     end
-elseif isequal(mode,'series(Di)') %| isequal(mode,'st_series(Di)') 
-     for index=1:200%min(nbfield-1,200)
-         displ_num(1,index)=0;
-         displ_num(2,index)=0;
-         displ_num(3,index)=-floor(index/2);
-         displ_num(4,index)=ceil(index/2);
-     end
-     set(handles.itext,'Visible','On')
-     set(handles.first_i,'Visible','On')
-     set(handles.last_i,'Visible','On')
-     set(handles.incr_i,'Visible','On')
-     set(handles.nb_field,'Visible','On')
-     set(handles.ref_i,'Visible','On')
-     if nbfield2 > 1
+elseif isequal(mode,'series(Di)') %| isequal(mode,'st_series(Di)')
+    for index=1:200%min(nbfield-1,200)
+        displ_num(1,index)=0;
+        displ_num(2,index)=0;
+        displ_num(3,index)=-floor(index/2);
+        displ_num(4,index)=ceil(index/2);
+    end
+    set(handles.itext,'Visible','On')
+    set(handles.first_i,'Visible','On')
+    set(handles.last_i,'Visible','On')
+    set(handles.incr_i,'Visible','On')
+    set(handles.nb_field,'Visible','On')
+    set(handles.ref_i,'Visible','On')
+    if nbfield2 > 1
         set(handles.jtext,'Visible','On')
         set(handles.first_j,'Visible','On')
@@ -900,5 +899,5 @@
         set(handles.nb_field2,'Visible','On')
         set(handles.ref_j,'Visible','On')
-     else
+    else
         set(handles.jtext,'Visible','Off')
         set(handles.first_j,'Visible','Off')
@@ -909,9 +908,9 @@
     end
 elseif isequal(mode,'displacement')%the pairs have the same indices
-     displ_num(1,1)=0; 
-     displ_num(2,1)=0;
-     displ_num(3,1)=0;
-     displ_num(4,1)=0;
-     if nbfield > 1
+    displ_num(1,1)=0;
+    displ_num(2,1)=0;
+    displ_num(3,1)=0;
+    displ_num(4,1)=0;
+    if nbfield > 1
         set(handles.itext,'Visible','On')
         set(handles.first_i,'Visible','On')
@@ -929,10 +928,10 @@
     end
     if nbfield2 > 1
-      set(handles.jtext,'Visible','On')
-     set(handles.first_j,'Visible','On')
-     set(handles.last_j,'Visible','On')
-     set(handles.incr_j,'Visible','On')
-     set(handles.nb_field2,'Visible','On')
-     set(handles.ref_j,'Visible','On')
+        set(handles.jtext,'Visible','On')
+        set(handles.first_j,'Visible','On')
+        set(handles.last_j,'Visible','On')
+        set(handles.incr_j,'Visible','On')
+        set(handles.nb_field2,'Visible','On')
+        set(handles.ref_j,'Visible','On')
     else
         set(handles.jtext,'Visible','Off')
@@ -943,5 +942,5 @@
         set(handles.ref_j,'Visible','Off')
     end
-end  
+end
 set(handles.list_pair_civ1,'UserData',displ_num);
 find_netcpair_civ1(hObject, eventdata, handles)
@@ -975,5 +974,5 @@
 end
 
-%determine nom_type_nc: 
+%determine nom_type_nc:
 nom_type_nc=[];%default
 if isfield(browse,'nom_type_nc')
@@ -981,5 +980,5 @@
 end
 if isempty(nom_type_nc)
-     [nom_type_nc]=nomtype2pair(nom_type_ima,isequal(mode,'series(Di)'),isequal(mode,'series(Dj)'));
+    [nom_type_nc]=nomtype2pair(nom_type_ima,isequal(mode,'series(Di)'),isequal(mode,'series(Dj)'));
 end
 browse.nom_type_nc=nom_type_nc;
@@ -1005,13 +1004,13 @@
 if isempty(time)
     time=[0 1];
-end 
+end
 %dt_unit=str2double(get(handles.dt,'String'));% used when there is no image documentation file
 dt_unit=1000;%default
 displ_num=get(handles.list_pair_civ1,'UserData');
 
-%eliminate the first pairs inconsistent with the position 
- if isempty(displ_num)
-     nbpair=0;
- else
+%eliminate the first pairs inconsistent with the position
+if isempty(displ_num)
+    nbpair=0;
+else
     nbpair=length(displ_num(1,:));%nbre of displayed pairs
     if  isequal(mode,'series(Di)')  %| isequal(mode,'st_series(Di)')
@@ -1020,8 +1019,8 @@
         nbpair=min(2*ref_j-1,nbpair);%limit the number of pairs with positive first index
     end
- end
+end
 nbpair=min(200,nbpair);%limit the number of displayed pairs to 200
 
-%look for existing processed pairs involving the field at the middle of the series if civ1 will not 
+%look for existing processed pairs involving the field at the middle of the series if civ1 will not
 % be performed, while the result is needed for next steps.
 displ_pair={''};
@@ -1029,16 +1028,16 @@
 testpair=0;
 if get(handles.CIV1,'Value')==0 %
-    if ~exist(fullfile(filepath,subdir_civ1,ext_dir),'dir') 
-         msgbox_uvmat('ERROR',['no civ1 file available: subdirectory ' subdir_civ1 ' does not exist']);
-         set(handles.list_pair_civ1,'String',{});
-         return
-    end
-    for ipair=1:nbpair   
+    if ~exist(fullfile(filepath,subdir_civ1,ext_dir),'dir')
+        msgbox_uvmat('ERROR',['no civ1 file available: subdirectory ' subdir_civ1 ' does not exist']);
+        set(handles.list_pair_civ1,'String',{});
+        return
+    end
+    for ipair=1:nbpair
         filename=name_generator(filebase,ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair),'.nc',nom_type_nc,1,...
-        ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair),subdir_civ1);
+            ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair),subdir_civ1);
         select(ipair)=exist(filename,'file')==2;
     end
     if ~exist('select','var') || isequal(select,zeros(size(1:nbpair)))
-        if isfield(browse,'incr_pair') 
+        if isfield(browse,'incr_pair')
             num_i1=ref_i-floor(browse.incr_pair(1)/2);
             num_i2=ref_i+ceil(browse.incr_pair(1)/2);
